/**
 * Copyright (c) 2010 Perforce Software.  All rights reserved.
 */
package com.perforce.p4scout;

import android.app.Activity;
import android.content.pm.PackageInfo;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.Window;
import android.widget.TextView;

import com.perforce.p4java.Metadata;

/**
 * This is the class that displays the about dialog.
 */
public class ClientInfo extends Activity {
	
	/**
	 * We load up the about dialog's view and populate the version information from P4Scout on 
	 * Android's manifest file and P4Java's version information.
	 *  
	 * @see android.app.Activity#onCreate(android.os.Bundle)
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		Window w = getWindow();
		w.requestFeature(Window.FEATURE_LEFT_ICON);
		setContentView(R.layout.about);
		w.setFeatureDrawableResource(Window.FEATURE_LEFT_ICON, R.drawable.icon);
		
		try {
			// Get the version details for this package from the manifest file
			PackageInfo apkInfo = getPackageManager().getPackageInfo(getPackageName(), 0);
			((TextView) findViewById(R.id.tvVersion))
				.setText(getString(R.string.tvVersion) + apkInfo.versionName + "/" +
						String.valueOf(apkInfo.versionCode));
		} catch (Exception e) {
			// Ignore them...
		}
		
		// Get P4Java's version information
		((TextView) findViewById(R.id.tvBuiltWithJava))
			.setText(getString(R.string.tvBuiltWithJava) + " " + Metadata.getP4JVersionString());
	}
	
	/**
	 * This prevents the activity from being restarted when the orientation changes
	 */
    @Override
    public void onConfigurationChanged(Configuration newConfig){        
        super.onConfigurationChanged(newConfig);
    }
}
