/**
 * Copyright (c) 2010 Perforce Software.  All rights reserved.
 */
package com.perforce.p4scout;

import android.provider.BaseColumns;

/**
 * This class is packages up some re-usable, cross-intent constants.
 * In most cases, these define the names of the columns in the Database
 * as well as the names of the Extras. 
 */
public interface Constants extends BaseColumns {
   
   /* The SQLite table names. */
   public static final String P4SERVERS = "P4Servers";
   public static final String P4GLOBALS = "P4Globals";

   /* Columns in the P4SERVERS database */
   public static final String NAME = "name";
   public static final String DESC = "desc";
   public static final String P4PORT = "p4port";
   public static final String P4USER = "p4user";
   public static final String P4PASS = "p4pass";
   
   /* Columns in the P4GLOBALS database */
   public static final String USERNAME = "username";
   public static final String UTHRESH = "users";
   public static final String MTHRESH = "monitor";
   public static final String LTHRESH = "expiry";
   public static final String GETCHANGES = "changelists";
   
   /* Constants used by intents */
   public static final String JOBID = "JOBID";
   public static final String ID = "ID";
   public static final String CHANGENUM = "CHANGENUM";
   public static final String ERROR = "ERROR";
   public static final String CALLER = "CALLER";
   public static final String TYPE = "TYPE";
   public static final String ACTION = "ACTION";
   public static final String EDIT = "EDIT";
   public static final String USERS = "USERS";
   
   /* Perforce Error catches */
   public static final String TICKETVALID = "User %user% ticket expires in %hours% hours %minutes% minutes.";
   public static final String NOLOGINREQUIRED = "'login' not necessary, no password set for this user.";
   public static final String NOMONITOR = "Monitor not currently enabled.";
   public static final String PASSWORDINVALID = "Password invalid.";
   public static final String PASSWORDNOTSET = "Perforce password (P4PASSWD) invalid or unset.";
   public static final String SESSIONLOGGEDOUT = "Your session was logged out, please login again.";
   
   
}
